summary refs log tree commit diff stats
path: root/build_all.sh
diff options
context:
space:
mode:
authorTaylor Hoff <primdevs@protonmail.com>2019-05-08 04:23:17 -0400
committerAndreas Rumpf <rumpf_a@web.de>2019-05-08 10:23:17 +0200
commit1e89e5bf9c82d01beb57ba2b9b694db75dc35194 (patch)
treeac9f55343abb95eb51e0402c4de59fc1cae1cd45 /build_all.sh
parent34405db80f5e9e77692fbbf660465b6fb1cd5c4a (diff)
downloadNim-1e89e5bf9c82d01beb57ba2b9b694db75dc35194.tar.gz
Pass command line arguments from build_all.sh to build.sh (#11195)
Diffstat (limited to 'build_all.sh')
-rw-r--r--build_all.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/build_all.sh b/build_all.sh
index 333814d62..e22facc1b 100644
--- a/build_all.sh
+++ b/build_all.sh
@@ -17,14 +17,14 @@ build_nim_csources(){
   ## avoid changing dir in case of failure
   (
     echo_run cd csources
-    echo_run sh build.sh
+    echo_run sh build.sh $@
   )
   # keep $nim_csources in case needed to investigate bootstrap issues
   # without having to rebuild from csources
   echo_run cp bin/nim $nim_csources
 }
 
-[ -f $nim_csources ] || echo_run build_nim_csources
+[ -f $nim_csources ] || echo_run build_nim_csources $@
 
 # Note: if fails, may need to `cd csources && git pull`
 echo_run bin/nim c --skipUserCfg --skipParentCfg koch